clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedRefKind Struct Reference
Collaboration diagram for llvm::yaml::NormalizedRefKind:
[legend]

## Public Member Functions
| NormalizedRefKind (IO &)
| NormalizedRefKind (IO &, RefKind O)
RefKind | denormalize (IO &)

## Public Attributes
uint8_t | Kind = 0

## Detailed Description

Definition at line 258 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedRefKind() [1/2]

llvm::yaml::NormalizedRefKind::NormalizedRefKind | ( | IO & |  | ) |
| inline

Definition at line 259 of file YAMLSerialization.cpp.

## ◆ NormalizedRefKind() [2/2]

llvm::yaml::NormalizedRefKind::NormalizedRefKind | ( | IO & | ,
|  | RefKind | O
| ) |  |
| inline

Definition at line 260 of file YAMLSerialization.cpp.

References Kind.

## Member Function Documentation

## ◆ denormalize()

RefKind llvm::yaml::NormalizedRefKind::denormalize | ( | IO & |  | ) |
| inline

Definition at line 262 of file YAMLSerialization.cpp.

References Kind.

## Member Data Documentation

## ◆ Kind

uint8_t llvm::yaml::NormalizedRefKind::Kind = 0

Definition at line 264 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp